/Users/bernard/b20/bsoft/include/model_compare.h(3)

NAME
/Users/bernard/b20/bsoft/include/model_compare.h - Functions to compare models and components.

SYNOPSIS

#include 'rwmodel.h'
#include 'Matrix.h'

  Functions
long model_component_number_difference (Bmodel *model1, Bmodel *model2)
Compares the numbers of components in two models.
long model_maxnum_components (Bmodel *model)
Calculates the largest number of components in a model.
double model_compare (Bmodel *model1, Bmodel *model2)
Compares two models.
Matrix model_distance_matrix (Bmodel *model, int view_flag)
Calculates the distance matrix for a model.
Matrix model_distance_matrix (Bmodel *m1, Bmodel *m2)
Calculates the distance matrix between two models.
Matrix model_adjacency_matrix (Bmodel *model)
Constructs the adjacency matrix for a model.
long model_consolidate (Bmodel *model, double distance)
Consolidates close components within a model.
Bmodel * models_consensus (Bmodel *model, double distance)
Determines a consensus between models in a list.

Detailed Description

Functions to compare models and components.

Author:
    Bernard Heymann

Date:
    Created: 20060908

    Modified: 20161011

Definition in file model_compare.h.

Function Documentation

  Matrix model_adjacency_matrix (Bmodel * model)

Constructs the adjacency matrix for a model.

Parameters:
    *model model structure.

Returns:
    Matrix adjacency matrix.

    The matrix contains ones for adjacent components and zero elsewhere.
    Only the first model in the linked list is used.
    The component selections are reset.

Definition at line 152 of file model_compare.cpp.

  double model_compare (Bmodel * model1, Bmodel * model2)

Compares two models.

Parameters:
    *model1 first model structure.
    *model2 second model structure.

Returns:
    double RMSD.

    Only the first models in the linked lists are compared.

Definition at line 66 of file model_compare.cpp.

  long model_component_number_difference (Bmodel * model1, Bmodel * model2)

Compares the numbers of components in two models.

Parameters:
    *model1 first model.
    *model2 second model.

Returns:
    long difference in the number of components.

    Only the first models in the lists are compared.

Definition at line 26 of file model_compare.cpp.

  long model_consolidate (Bmodel * model, double distance)

Consolidates close components within a model.

Parameters:
    *model model structure.
    distance cutoff distance to consider components to be the same.

Returns:
    long number of components retained.

    A matrix is calculated from the pairwise distances between selected components.
    Components closer to each other than the given distance are consolidated.
    Only the first model in the linked list is used.

Definition at line 266 of file model_compare.cpp.

  Matrix model_distance_matrix (Bmodel * model, int view_flag)

Calculates the distance matrix for a model.

Parameters:
    *model model structure.
    view_flag flag to include views.

Returns:
    Matrix distance matrix.

    The matrix is calculated from the pairwise distances between selected
    components, with the option to include the views.
    When the views are included, the euclidean distances are rescaled to
    the maximum so that their ranges are similar to the view differences.
    Only the first model in the linked list is used.

Definition at line 189 of file model_compare.cpp.

  Matrix model_distance_matrix (Bmodel * m1, Bmodel * m2)

Calculates the distance matrix between two models.

Parameters:
    *m1 first model structure.
    *m2 second model structure.

Returns:
    Matrix distance matrix.

    The matrix is calculated from the pairwise distances between selected
    components, with the option to include the views.
    When the views are included, the euclidean distances are rescaled to
    the maximum so that their ranges are similar to the view differences.
    Only the first model in the linked list is used.

Definition at line 238 of file model_compare.cpp.

  long model_maxnum_components (Bmodel * model)

Calculates the largest number of components in a model.

Parameters:
    *model model.

Returns:
    long largest number of components in a model.

Definition at line 43 of file model_compare.cpp.

  Bmodel* models_consensus (Bmodel * model, double distance)

Determines a consensus between models in a list.

Parameters:
    *model model list.
    distance cutoff distance to consider components to be the same.

Returns:
    long number of components retained.

    A matrix is calculated from the pairwise distances between selected components
    from each apir of models.
    Components closer to each other than the given distance in different
    models are consolidated.
    The component selection field contains the number of contributing components.
    A new model containing the result is returned.

Definition at line 324 of file model_compare.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.